# Ogre::Technique::GPUVendorRule Struct Reference

Rule controlling whether technique is deemed supported based on GPU vendor. More...

`#include <OgreTechnique.h>`

List of all members.

## Public Member Functions

| GPUVendorRule ()
| GPUVendorRule (GPUVendor v, IncludeOrExclude ie)

## Public Attributes

GPUVendor | vendor
IncludeOrExclude | includeOrExclude

## Detailed Description

Rule controlling whether technique is deemed supported based on GPU vendor.

Definition at line 113 of file OgreTechnique.h.

## Constructor & Destructor Documentation

Ogre::Technique::GPUVendorRule::GPUVendorRule | ( |  | ) |

Definition at line 117 of file OgreTechnique.h.

Ogre::Technique::GPUVendorRule::GPUVendorRule | ( | GPUVendor | v,
|  | IncludeOrExclude | ie |
| ) |  |  |

Definition at line 119 of file OgreTechnique.h.

## Member Data Documentation

GPUVendor Ogre::Technique::GPUVendorRule::vendor

Definition at line 115 of file OgreTechnique.h.

IncludeOrExclude Ogre::Technique::GPUVendorRule::includeOrExclude

Definition at line 116 of file OgreTechnique.h.

The documentation for this struct was generated from the following file:

- OgreTechnique.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:37:46 2009